Github messages for voidlinux
 help / color / mirror / Atom feed
From: sgn <sgn@users.noreply.github.com>
To: ml@inbox.vuxu.org
Subject: Re: [PR PATCH] [Updated] do-extract: use bsdtar for rpm and deb
Date: Wed, 30 Nov 2022 17:19:41 +0100	[thread overview]
Message-ID: <20221130161941.bt8q1MegG66ciHThVT6JIB9J5KA13wbkIHRLwYL0cVI@z> (raw)
In-Reply-To: <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-40411@inbox.vuxu.org>

[-- Attachment #1: Type: text/plain, Size: 1281 bytes --]

There is an updated pull request by sgn against master on the void-packages repository

https://github.com/sgn/void-packages do-extract-bsdtar-more
https://github.com/void-linux/void-packages/pull/40411

do-extract: use bsdtar for rpm and deb
<!-- Uncomment relevant sections and delete options which are not applicable -->

#### Testing the changes
- I tested the changes in this PR: **YES**|**briefly**|**NO**

<!--
#### New package
- This new package conforms to the [package requirements](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#package-requirements): **YES**|**NO**
-->

<!-- Note: If the build is likely to take more than 2 hours, please add ci skip tag as described in
https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration
and test at least one native build and, if supported, at least one cross build.
Ignore this section if this PR is not skipping CI.
-->
<!--
#### Local build testing
- I built this PR locally for my native architecture, (ARCH-LIBC)
- I built this PR locally for these architectures (if supported. mark crossbuilds):
  - aarch64-musl
  - armv7l
  - armv6l-musl
-->


A patch file from https://github.com/void-linux/void-packages/pull/40411.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-do-extract-bsdtar-more-40411.patch --]
[-- Type: text/x-diff, Size: 1257 bytes --]

From 8ffba00d9157e99cad2685db420e1dce38c51794 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=C4=90o=C3=A0n=20Tr=E1=BA=A7n=20C=C3=B4ng=20Danh?=
 <congdanhqx@gmail.com>
Date: Wed, 9 Nov 2022 19:36:30 +0700
Subject: [PATCH] do-extract: extract rpm with bsdtar, too

---
 common/hooks/do-extract/00-distfiles.sh | 14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

diff --git a/common/hooks/do-extract/00-distfiles.sh b/common/hooks/do-extract/00-distfiles.sh
index b3f3b90b7b80..14503de3ed76 100644
--- a/common/hooks/do-extract/00-distfiles.sh
+++ b/common/hooks/do-extract/00-distfiles.sh
@@ -111,14 +111,12 @@ hook() {
 			fi
 			;;
 		rpm)
-			if command -v rpmextract &>/dev/null; then
-				cd "$extractdir"
-				rpmextract $srcdir/$curfile
-				if [ $? -ne 0 ]; then
-					msg_error "$pkgver: extracting $curfile into $XBPS_BUILDDIR.\n"
-				fi
-			else
-				msg_error "$pkgver: cannot find rpmextract for extraction.\n"
+			if ! command -v bsdtar &>/dev/null; then
+				msg_error "$pkgver: cannot find bsdtar for extraction.\n"
+			fi
+			bsdtar -x --no-same-permissions --no-same-owner -f $srcdir/$curfile -C "$extractdir"
+			if [ $? -ne 0 ]; then
+				msg_error "$pkgver: extracting $curfile into $XBPS_BUILDDIR.\n"
 			fi
 			;;
 		deb)

  parent reply	other threads:[~2022-11-30 16:19 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-11-09 12:46 [PR PATCH] " sgn
2022-11-10  8:17 ` classabbyamp
2022-11-30 16:19 ` sgn [this message]
2022-11-30 16:20 ` [PR PATCH] [Merged]: " sgn

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20221130161941.bt8q1MegG66ciHThVT6JIB9J5KA13wbkIHRLwYL0cVI@z \
    --to=sgn@users.noreply.github.com \
    --cc=ml@inbox.vuxu.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).